/**
 * 我的图库模块
 */
 import {get,post} from './http'

 /**
 * 我的图库列表
 * @param keyword
 * @param classify_id 分类ID
 */
export const apiMyChartList=params=>{
    return get('/my_chart/list',params)
}

/**
 * 我的图库分类列表
 */
export const apiMyChartClassifyList=()=>{
    return get('/my_chart_classify/list',{})
}

/**
 * 新增我的图库分类
 * @param classify_name
 */
export const apiMyChartClassifyAdd=params=>{
    return post('/my_chart_classify/add',params)
}

/**
 * 编辑我的图库分类
 * @param classify_name
 * @param classify_id
 */
export const apiMyChartClassifyEdit=params=>{
    return post('/my_chart_classify/edit',params)
}

/**
 * 删除我的图库分类
 * @param classify_id
 */
export const apiMyChartClassifyDel=params=>{
    return post('/my_chart_classify/del',params)
}

/**
 * 排序我的图库分类
 * @param list<item>:{ "classify_id": 1, //分类ID "sort": 3 //排序}
 */
export const apiMyChartClassifySort=params=>{
    return post('/my_chart_classify/sort',params)
}

/**
 * 我的图表关联分类
 * @param my_chart_id
 * @param classify_id
 */
export const apiMyChartRelateClassify=params=>{
    return post('/my_chart/relate_classify',params)
}